echo off
setLocal
set input=%1
set dir=%cd%
set temp=%1:.2dm=.fvc%
set output=%input:.2dm=.fvc%
set parser="C:\Program Files (x86)\TUFLOWFV\mesh_to_FV.exe"
set tf_fv=O:\TUFLOW_FV\EXE\Release\2014.01.016\x64\TUFLOWFV.exe
set fvcpath=%dir%\TUFLOWFV

echo Current Directory: %dir%
echo Input 2d mesh file: %input%
echo Output control file: %output%
echo Path to 2dm convertor: %parser%
echo Path to TUFLOWFV exe: %tf_fv%
echo Press any key to convert to TUFLOW-FV Format
pause

echo Converting .2dm into .fvc control file:
start "convertor" %parser% -b -ow %input%
echo Done
echo If no errors press any key to start simulation
pause

cd %dir%\TUFLOWFV\input
echo current dir %cd%
%tf_fv% %output%
pause
